## postgresql-8.2 8.2.7

=== config/Makefile ===
# $PostgreSQL: pgsql/config/Makefile,v 1.2 2005/12/09 21:19:34 petere Exp $

subdir = config
top_builddir = ..
include $(top_builddir)/src/Makefile.global


install: all installdirs
	$(INSTALL_SCRIPT) $(srcdir)/install-sh '$(DESTDIR)$(pgxsdir)/config/install-sh'
	$(INSTALL_SCRIPT) $(srcdir)/mkinstalldirs '$(DESTDIR)$(pgxsdir)/config/mkinstalldirs'

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(pgxsdir)/config'

uninstall:
	rm -f '$(DESTDIR)$(pgxsdir)/config/install-sh' '$(DESTDIR)$(pgxsdir)/config/mkinstalldirs'

=== contrib/intagg/Makefile ===
#############################################
# Makefile for integer aggregator
# Copyright (C) 2001 Digital Music Network.
# by Mark L. Woodward
# $PostgreSQL: pgsql/contrib/intagg/Makefile,v 1.7 2006/02/27 12:54:39 petere Exp $

MODULES = int_aggregate
DATA_built = int_aggregate.sql
DATA = uninstall_int_aggregate.sql
DOCS = README.int_aggregate

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/intagg
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== src/bin/pgevent/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/pgevent
#
# Copyright (c) 1996-2006, PostgreSQL Global Development Group
#
#-------------------------------------------------------------------------

PGFILEDESC = "Eventlog message formatter"
PGFILESHLIB = 1
subdir = src/bin/pgevent
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

ifeq ($(PORTNAME), win32)

OBJS=pgevent.o pgmsgevent.o
NAME=pgevent.dll

all: $(NAME)

install: all install-lib

pgevent.dll: $(OBJS) pgevent.def
	dllwrap --def pgevent.def -o $(NAME) $(OBJS)

pgmsgevent.o: pgmsgevent.rc win32ver.rc
	windres pgmsgevent.rc -o pgmsgevent.o --include-dir=$(top_builddir)/src/include

all-lib: $(NAME)

install-lib: $(NAME)
	$(INSTALL_STLIB) $< '$(DESTDIR)$(libdir)/$<'

uninstall-lib:
	rm -f '$(DESTDIR)$(libdir)/$(NAME)'

clean distclean:
	rm -f $(OBJS) $(NAME) win32ver.rc

clean-lib:
	rm -f $(NAME)

endif

=== src/bin/scripts/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for src/bin/scripts
#
# Portions Copyright (c) 1996-2006, PostgreSQL Global Development Group
# Portions Copyright (c) 1994, Regents of the University of California
#
# $PostgreSQL: pgsql/src/bin/scripts/Makefile,v 1.36 2006/03/05 15:58:52 momjian Exp $
#
#-------------------------------------------------------------------------

PGFILEDESC = "PostgreSQL utility"
subdir = src/bin/scripts
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

PROGRAMS = createdb createlang createuser dropdb droplang dropuser clusterdb vacuumdb reindexdb

override CPPFLAGS := -DFRONTEND -I$(top_srcdir)/src/bin/pg_dump -I$(top_srcdir)/src/bin/psql -I$(libpq_srcdir) $(CPPFLAGS)

all: submake-libpq submake-backend $(PROGRAMS)

%: %.o $(WIN32RES)
	$(CC) $(CFLAGS) $^ $(libpq_pgport) $(LDFLAGS) $(LIBS) -o $@$(X)

createdb: createdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
createlang: createlang.o common.o print.o mbprint.o
createuser: createuser.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
dropdb: dropdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
droplang: droplang.o common.o print.o mbprint.o
dropuser: dropuser.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
clusterdb: clusterdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o
vacuumdb: vacuumdb.o common.o
reindexdb: reindexdb.o common.o dumputils.o $(top_builddir)/src/backend/parser/keywords.o

dumputils.c: % : $(top_srcdir)/src/bin/pg_dump/%
	rm -f $@ && $(LN_S) $< .

print.c mbprint.c : % : $(top_srcdir)/src/bin/psql/%
	rm -f $@ && $(LN_S) $< .

.PHONY: submake-backend
submake-backend:
	$(MAKE) -C $(top_builddir)/src/backend/parser keywords.o


install: all installdirs
	$(INSTALL_PROGRAM) createdb$(X)   '$(DESTDIR)$(bindir)'/createdb$(X)
	$(INSTALL_PROGRAM) dropdb$(X)     '$(DESTDIR)$(bindir)'/dropdb$(X)
	$(INSTALL_PROGRAM) createlang$(X) '$(DESTDIR)$(bindir)'/createlang$(X)
	$(INSTALL_PROGRAM) droplang$(X)   '$(DESTDIR)$(bindir)'/droplang$(X)
	$(INSTALL_PROGRAM) createuser$(X) '$(DESTDIR)$(bindir)'/createuser$(X)
	$(INSTALL_PROGRAM) dropuser$(X)   '$(DESTDIR)$(bindir)'/dropuser$(X)
	$(INSTALL_PROGRAM) clusterdb$(X)  '$(DESTDIR)$(bindir)'/clusterdb$(X)
	$(INSTALL_PROGRAM) vacuumdb$(X)   '$(DESTDIR)$(bindir)'/vacuumdb$(X)
	$(INSTALL_PROGRAM) reindexdb$(X)  '$(DESTDIR)$(bindir)'/reindexdb$(X)

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(bindir)'

uninstall:
	rm -f $(addprefix '$(DESTDIR)$(bindir)'/, $(addsuffix $(X), $(PROGRAMS)))


clean distclean maintainer-clean:
	rm -f $(addsuffix $(X), $(PROGRAMS)) $(addsuffix .o, $(PROGRAMS))
	rm -f common.o dumputils.o print.o mbprint.o $(WIN32RES)
	rm -f dumputils.c print.c mbprint.c

=== src/interfaces/ecpg/Makefile ===
subdir = src/interfaces/ecpg
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

all install installdirs uninstall dep depend distprep:
	$(MAKE) -C include $@
	$(MAKE) -C pgtypeslib $@
	$(MAKE) -C ecpglib $@
	$(MAKE) -C compatlib $@
	$(MAKE) -C preproc $@
	$(MAKE) -C test $@

clean distclean maintainer-clean:
	-$(MAKE) -C include $@
	-$(MAKE) -C pgtypeslib $@
	-$(MAKE) -C ecpglib $@
	-$(MAKE) -C compatlib $@
	-$(MAKE) -C preproc $@
	-$(MAKE) -C test clean

check checktcp installcheck: all
	$(MAKE) -C test $@

=== src/pl/tcl/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile for the pltcl shared object
#
# $PostgreSQL: pgsql/src/pl/tcl/Makefile,v 1.50 2006/07/21 00:24:04 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/pl/tcl
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global


override CPPFLAGS := $(TCL_INCLUDE_SPEC) $(CPPFLAGS)


# Find out whether Tcl was built as a shared library --- if not, we
# can't link a shared library that depends on it, and have to forget
# about building pltcl. In Tcl 8, tclConfig.sh sets TCL_SHARED_BUILD
# for us, but in older Tcl releases it doesn't. In that case we guess
# based on the name of the Tcl library.

ifndef TCL_SHARED_BUILD
ifneq (,$(findstring $(DLSUFFIX),$(TCL_LIB_FILE)))
TCL_SHARED_BUILD=1
else
TCL_SHARED_BUILD=0
endif
endif


ifneq ($(PORTNAME), win32)
SHLIB_LINK = $(BE_DLLLIBS) $(TCL_LIB_SPEC) $(TCL_LIBS) -lc
else
SHLIB_LINK = $(TCL_LIB_SPEC) $(BE_DLLLIBS)
endif

NAME = pltcl
SO_MAJOR_VERSION = 2
SO_MINOR_VERSION = 0
OBJS = pltcl.o

REGRESS_OPTS = --dbname=$(PL_TESTDB) --load-language=pltcl
REGRESS = pltcl_setup pltcl_queries
# where to find psql for running the tests
PSQLDIR = $(bindir)

include $(top_srcdir)/src/Makefile.shlib

ifeq ($(TCL_SHARED_BUILD), 1)

all: all-lib
	$(MAKE) -C modules $@

# When doing a VPATH build, copy over the .sql and .out files so that the
# test script can find them.  See comments in src/test/regress/GNUmakefile.
ifdef VPATH

ifneq ($(PORTNAME),win32)
abs_srcdir := $(shell cd $(srcdir) && pwd)
abs_builddir := $(shell pwd)
else
abs_srcdir := $(shell cd $(srcdir) && pwd -W)
abs_builddir := $(shell pwd -W)
endif

test_files_src := $(wildcard $(srcdir)/sql/*.sql) $(wildcard $(srcdir)/expected/*.out)
test_files_build := $(patsubst $(srcdir)/%, $(abs_builddir)/%, $(test_files_src))

all: $(test_files_build)
$(test_files_build): $(abs_builddir)/%: $(srcdir)/%
	ln -s $< $@

endif

install: all installdirs
ifeq ($(enable_shared), yes)
	$(INSTALL_SHLIB) $(shlib) '$(DESTDIR)$(pkglibdir)/$(NAME)$(DLSUFFIX)'
else
	@echo "*****"; \
	 echo "* PL/Tcl was not installed due to lack of shared library support."; \
	 echo "*****"
endif
	$(MAKE) -C modules $@

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(pkglibdir)'
	$(MAKE) -C modules $@

uninstall:
	rm -f '$(DESTDIR)$(pkglibdir)/$(NAME)$(DLSUFFIX)'
	$(MAKE) -C modules $@

installcheck: submake
	$(top_builddir)/src/test/regress/pg_regress --psqldir=$(PSQLDIR) $(REGRESS_OPTS) $(REGRESS)

.PHONY: submake
submake:
	$(MAKE) -C $(top_builddir)/src/test/regress pg_regress$(X)

else # TCL_SHARED_BUILD = 0

# Provide dummy targets for the case where we can't build the shared library.
all:
	@echo "*****"; \
	 echo "* Cannot build PL/Tcl because Tcl is not a shared library; skipping it."; \
	 echo "*****"

endif # TCL_SHARED_BUILD = 0

clean distclean maintainer-clean: clean-lib
	rm -f $(OBJS)
	rm -rf results
	rm -f regression.diffs regression.out
	$(MAKE) -C modules $@

=== src/backend/optimizer/prep/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for optimizer/prep
#
# IDENTIFICATION
#    $PostgreSQL: pgsql/src/backend/optimizer/prep/Makefile,v 1.15 2003/11/29 19:51:51 pgsql Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/optimizer/prep
top_builddir = ../../../..
include $(top_builddir)/src/Makefile.global

OBJS = prepjointree.o prepqual.o preptlist.o prepunion.o

all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

depend dep:
	$(CC) -MM $(CFLAGS) *.c >depend

clean: 
	rm -f SUBSYS.o $(OBJS)

ifeq (depend,$(wildcard depend))
include depend
endif

=== src/backend/utils/mb/conversion_procs/utf8_and_euc_tw/Makefile ===
#-------------------------------------------------------------------------
#
# $PostgreSQL: pgsql/src/backend/utils/mb/conversion_procs/utf8_and_euc_tw/Makefile,v 1.3 2003/11/29 22:40:21 pgsql Exp $
#
#-------------------------------------------------------------------------
subdir = src/backend/utils/mb/conversion_procs/utf8_and_euc_tw
top_builddir = ../../../../../..
include $(top_builddir)/src/Makefile.global

NAME		:= utf8_and_euc_tw

include $(srcdir)/../proc.mk

=== src/backend/utils/mb/conversion_procs/utf8_and_iso8859/Makefile ===
#-------------------------------------------------------------------------
#
# $PostgreSQL: pgsql/src/backend/utils/mb/conversion_procs/utf8_and_iso8859/Makefile,v 1.3 2003/11/29 22:40:32 pgsql Exp $
#
#-------------------------------------------------------------------------
subdir = src/backend/utils/mb/conversion_procs/utf8_and_iso8859
top_builddir = ../../../../../..
include $(top_builddir)/src/Makefile.global

NAME		:= utf8_and_iso8859

include $(srcdir)/../proc.mk

## postgresql-8.2 8.2.23~20220624.1330-9~1.git7f43f39.pgdg90+1

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1330-9~1.git7f43f39.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Re-enable plpython2 packages.
    + Re-enable OpenSSL support.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100

postgresql-8.2 (8.2.23-9) unstable; urgency=medium

  * R³: no.
  * run-testsuite: Test only this version.
  * psql uses sensible-editor, depend on sensible-utils.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Dec 2021 17:31:33 +0100

postgresql-8.2 (8.2.23-8) unstable; urgency=medium

  * Disable plpython2 package.
  * Remove obsolete Conflicts/Replaces.
  * Add debian/gitlab-ci.yml.
  * debian/tests: Also run regression tests.
  * debian/rules: Remove explicit xz compression.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Aug 2020 14:55:56 +0200

postgresql-8.2 (8.2.23-7) sid-pgdg; urgency=medium

  * Depend on locales | locales-all. Suggested by Elrond, thanks!
    (Closes: #916655)
  * Build-Depend on tcl-dev instead of on a specific version.
  * Disable ssl; package supports OpenSSL 1.0 only which got removed
    from unstable.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 09:33:57 +0100

postgresql-8.2 (8.2.23-6) sid-pgdg; urgency=medium

  * Bump tcl version to 8.6.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Nov 2018 09:54:12 +0100

postgresql-8.2 (8.2.23-5) sid-pgdg; urgency=medium

  * Add debian/tests like in the other branches.
  * Remove empty conf.d directory on purge, even when postgresql-common
    was already removed. (Closes: #877264)

 -- Christoph Berg <myon@debian.org>  Wed, 20 Jun 2018 17:56:36 +0200

postgresql-8.2 (8.2.23-4) sid; urgency=medium

  * debian/control: Use openjade instead of the ancient jade for building the
    documentation.
  * debian/control: Add alternative dependency on libssl1.0-dev.
  * libpq-dev: Remove dependency on libssl-dev (and comerr-dev and
    libkrb5-dev) to unbreak co-installation with libssl1.0-dev.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Dec 2016 13:58:30 +0100

postgresql-8.2 (8.2.23-1.pgdg+3) sid-pgdg; urgency=medium

  * Remove hardening-wrapper logic, it's being removed from sid.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Sep 2016 18:36:18 +0200

postgresql-8.2 (8.2.23-1.pgdg+2) sid-pgdg; urgency=medium

  * Add -fno-aggressive-loop-optimizations to CFLAGS, cf.
    http://stackoverflow.com/a/34204352/3872653.

 -- Christoph Berg <myon@debian.org>  Sat, 06 Aug 2016 23:00:33 +0200

postgresql-8.2 (8.2.23-1.pgdg+1) sid-pgdg; urgency=low

  * Append .pgdg+1 to version.
  * Port CFLAGS/LDFLAGS/hardening handling from 9.2.
  * Disable -Werror=format-security.
  * Use dh_builddeb -- -Zxz.

 -- Christoph Berg <myon@debian.org>  Mon, 22 Oct 2012 12:53:55 +0200

postgresql-8.2 (8.2.23-1) unstable; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Apr 2012 13:50:05 +0200

postgresql-8.2 (8.2.22-1~pgapt+1) sid-pgapt; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2011 17:21:29 +0200

postgresql-8.2 (8.2.21-1~pgapt+1) sid-pgapt; urgency=low

  * Backport packaging to 8.2.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Sep 2011 23:06:33 +0200

postgresql-9.1 (9.1.0-1) unstable; urgency=low

  * Final 9.1 release.
  * 02-relax-sslkey-permscheck.patch, 50-per-version-dirs.patch: Refresh to
    apply cleanly.
  * debian/control: Tighten the dependencies of the -pl* extensions/-contrib
    to postgresql-9.1 to the same binary version. (Closes: #640335)

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2011 16:02:28 +0200

postgresql-9.1 (9.1~rc1-3) unstable; urgency=low

  * debian/watch: Fix for mangling ~rc, thanks Peter Eisentraut. 
    (Closes: #639357)
  * debian/control: Add versionless Provides: to the PL* extensions, as per
    request from Christoph Berg.
  * debian/control: Add "Replaces: postgresql-9.0-dbg" to fix file conflict.
    (Closes: #639258)
  * debian/control: Drop the versionless metapackages, they are built from
    postgresql-common now. This behaves better with backports. Thanks to
    Christoph Berg for the suggestion.

 -- Martin Pitt <mpitt@debian.org>  Sat, 27 Aug 2011 13:42:40 +0200

postgresql-9.1 (9.1~rc1-2) unstable; urgency=low

  * debian/control: Build the versionless metapackages again, and point them
    to 9.1.

 -- Martin Pitt <mpitt@debian.org>  Thu, 25 Aug 2011 12:50:45 +0200

postgresql-9.1 (9.1~rc1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable now that the final 9.1 release will come soon. 9.1 will
    most probably be the version supported in the Wheezy release.
  * 54-debian-alternatives-for-external-tools.patch: Unfuzz for new release.
  * debian/control: Suggest locales-all. (Closes: #629875)
  * debian/control: Wrap dependencies.
  * debian/control: Add explicit jade build dependency. (see #621492 for the
    corresponding 9.0 bug report)

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Aug 2011 20:59:58 +0200

postgresql-9.1 (9.1~beta3-1) experimental; urgency=low

  * New upstream beta release.
    - Works around gcc 4.6.0 bug. (Closes: #633086)

    Note that this does not change the data format since Beta 2, so no need
    to dump/reload clusters.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 18:39:43 +0200

postgresql-9.1 (9.1~beta2-1) experimental; urgency=low

  * New upstream beta release.
  * Drop 03-cmsgcred-size.patch, fixed upstream.
  * debian/postgresql-9.1.install: Install new pg_basebackup translations.
  * debian/control: Fix the server-dev dependency to p-common to also work for
    backports.
  * debian/watch: Fix for beta versions.
  * debian/copyright: Add pointers to GPL and Artistic licenses for the Perl
    terms.


## postgresql-8.2 8.2.23~20220624.1330-9~1.git7f43f39.pgdg+1

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1330-9~1.git7f43f39.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Enabling cassert.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100

## postgresql-8.2 8.2.23~20220624.1331-9~1.git7f43f39.pgdg22.04+1

=== contrib/Makefile ===
# $PostgreSQL: pgsql/contrib/Makefile,v 1.70 2006/09/09 04:07:51 tgl Exp $

subdir = contrib
top_builddir = ..
include $(top_builddir)/src/Makefile.global

WANTED_DIRS = \
		adminpack	\
		btree_gist	\
		chkpass		\
		cube		\
		dblink		\
		earthdistance	\
		fuzzystrmatch	\
		hstore		\
		intagg		\
		intarray	\
		isn		\
		lo		\
		ltree		\
		oid2name	\
		pg_buffercache	\
		pg_freespacemap \
		pg_trgm		\
		pgbench		\
		pgcrypto	\
		pgrowlocks	\
		pgstattuple	\
		seg		\
		spi		\
		tablefunc	\
		tsearch2	\
		vacuumlo	\
		xml2

ifeq ($(with_openssl),yes)
WANTED_DIRS += sslinfo
endif

# Missing:
#		start-scripts	\ (does not have a makefile)
#		xml2		\ (requires libxml installed)


all install installdirs uninstall distprep clean distclean maintainer-clean:
	@for dir in $(WANTED_DIRS); do \
		$(MAKE) -C $$dir $@ || exit; \
	done

# We'd like check operations to run all the subtests before failing;
# also insert a sleep to ensure the previous test backend exited before
# we try to drop the regression database.
check installcheck:
	@CHECKERR=0; for dir in $(WANTED_DIRS); do \
		sleep 1; \
		$(MAKE) -C $$dir $@ || CHECKERR=$$?; \
	done; \
	exit $$CHECKERR

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1331-9~1.git7f43f39.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100

## postgresql-8.2 8.2.23~20220624.1331-9~1.git7f43f39.pgdg100+1

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1331-9~1.git7f43f39.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Re-enable plpython2 packages.
    + Disable dh_dwz.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100

=== debian/control ===
Source: postgresql-8.2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>, Peter Eisentraut <petere@debian.org>, Christoph Berg <myon@debian.org>
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends: debhelper (>= 7.0.50~),
 perl (>= 5.8),
 libperl-dev,
 tcl-dev,
 libedit-dev,
# libssl1.0-dev | libssl-dev (<< 1.1),
 zlib1g-dev | libz-dev,
 libpam0g-dev | libpam-dev,
 libxml2-dev, libkrb5-dev,
 libldap2-dev,
 libxslt1-dev,
 libossp-uuid-dev,
 python-dev,
 openjade,
 gettext,
Homepage: http://www.postgresql.org/
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql
Vcs-Git: https://salsa.debian.org/postgresql/postgresql.git -b 8.2

Package: libpq-dev
Architecture: any
Section: 8.2/libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq5 (= ${binary:Version}),
Suggests: postgresql-doc-8.2
Description: header files for libpq5 (PostgreSQL library)
 Header files and static library for compiling C programs to link
 with the libpq library in order to communicate with a PostgreSQL
 database backend.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpq5
Architecture: any
Section: 8.2/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL C client library
 libpq is a C library that enables user programs to communicate with
 the PostgreSQL database server.  The server can be on another machine
 and accessed through TCP/IP.  This version of libpq is compatible
 with servers from PostgreSQL 8.2 or later.
 .
 This package contains the run-time library, needed by packages using
 libpq.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg5
Architecture: any
Section: 8.2/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: run-time library for ECPG programs
 The libecpg shared library is used by programs built with ECPG
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libecpg-dev
Architecture: any
Section: 8.2/libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev,
 libecpg5 (= ${binary:Version}),
 libecpg-compat2 (= ${binary:Version}),
 libpgtypes2 (= ${binary:Version})
Description: development files for ECPG (Embedded PostgreSQL for C)
 This package contains the necessary files to build ECPG (Embedded
 PostgreSQL for C) programs.  It includes the development libraries
 and the preprocessor program ecpg.
 .
 PostgreSQL is an object-relational SQL database management system.
 .
 Install this package if you want to write C programs with SQL statements
 embedded in them (rather than run by an external process).

Package: libecpg-compat2
Architecture: any
Section: 8.2/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: older version of run-time library for ECPG programs
 The libecpg_compat shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: libpgtypes2
Architecture: any
Section: 8.2/libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shared library libpgtypes for PostgreSQL 8.2
 The libpgtypes shared library is used by programs built with ecpg.
 (Embedded PostgreSQL for C).
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-8.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-client-8.2,
 postgresql-common (>= 115~),
 tzdata,
 ssl-cert,
 locales | locales-all,
Suggests: oidentd | ident-server
Replaces: postgresql-contrib-8.2 (<< 9.1~beta1-3~)
Description: object-relational SQL database, version 8.2 server
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides the database server for PostgreSQL 8.2. Servers
 for other major release versions can be installed simultaneously and
 are coordinated by the postgresql-common package. A package providing
 ident-server is needed if you want to authenticate remote connections
 with identd.

Package: postgresql-8.2-dbg
Section: debug
Priority: optional
Architecture: any
Depends: ${misc:Depends}, postgresql-8.2 (= ${binary:Version})
Replaces: postgresql-9.0-dbg
Description: debug symbols for postgresql-8.2
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
 .
 This package provides detached debugging symbols for PostgreSQL 8.2.

Package: postgresql-client-8.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-client-common (>= 115~),
 sensible-utils,
Suggests: postgresql-8.2, postgresql-doc-8.2
Provides: postgresql-client
Description: front-end programs for PostgreSQL 8.2
 This package contains client and administrative programs for
 PostgreSQL: these are the interactive terminal client psql and
 programs for creating and removing users and databases.
 .
 This is the client package for PostgreSQL 8.2. If you install
 PostgreSQL 8.2 on a standalone machine, you need the server package
 postgresql-8.2, too. On a network, you can install this package on
 many client machines, while the server package may be installed on
 only one machine.
 .  
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-server-dev-8.2
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libpq-dev (>= 8.2~),
 postgresql-common (>= 117~)
Description: development files for PostgreSQL 8.2 server-side programming
 Header files for compiling SSI code to link into PostgreSQL's backend; for
 example, for C functions to be called from SQL.
 .
 This package also contains the Makefiles necessary for building add-on 
 modules of PostgreSQL, which would otherwise have to be built in the
 PostgreSQL source-code tree.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-doc-8.2
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for the PostgreSQL database management system
 This package contains all README files, user manual, and examples for
 PostgreSQL 8.2. The manual is in HTML format.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-contrib-8.2
Architecture: any
Depends: postgresql-8.2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 postgresql-common (>= 115~)
Suggests: libdbd-pg-perl
Description: additional facilities for PostgreSQL
 The PostgreSQL contrib package provides several additional features
 for the PostgreSQL database. This version is built to work with the
 server package postgresql-8.2.  contrib often serves as a testbed for
 features before they are adopted into PostgreSQL proper:
 .
  adminpack      - File and log manipulation routines, used by pgAdmin
  btree_gist     - B-Tree indexing using GiST (Generalised Search Tree)
  chkpass        - An auto-encrypted password datatype
  cube           - Multidimensional-cube datatype (GiST indexing example)
  dblink         - Functions to return results from a remote database
  earthdistance  - Operator for computing the distance (in miles) between
                   two points on the earth's surface
  fuzzystrmatch  - Levenshtein, metaphone, and soundex fuzzy string matching
  intagg         - Integer aggregator/enumerator
  intarray       - Index support for arrays of int4, using GiST
  isn            - type extensions for ISBN, ISSN, ISMN, EAN13 product numbers
  lo             - Large Object maintenance
  ltree          - Tree-like data structures
  oid2name       - Maps OIDs to table names
  pg_buffercache - Real time queries on the shared buffer cache
  pg_freespacemap- Displays the contents of the free space map (FSM)
  pg_trgm        - Determine the similarity of text based on trigram matching
  pgbench        - TPC-B like benchmark
  pgcrypto       - Cryptographic functions
  pgrowlocks     - A function to return row locking information
  pgstattuple    - Returns the percentage of dead tuples in a table; this
                   indicates whether a vacuum is required.
  seg            - Confidence-interval datatype (GiST indexing example)
  spi            - PostgreSQL Server Programming Interface; 4 examples of
                   its use:
                   autoinc    - A function for implementing AUTOINCREMENT/
                                IDENTITY
                   insert_username - function for inserting user names
                   moddatetime - Update modification timestamps
                   refint     - Functions for implementing referential
                                integrity (foreign keys).  Note that this is
                                now superseded by built-in referential
                                integrity.
                   timetravel - Re-implements in user code the time travel
                                feature that was removed in 6.3.
  tsearch2       - Full-text-index support using GiST
  vacuumlo       - Remove orphaned large objects
  xml2           - Manipulate XML documents in the database
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plperl-8.2
Architecture: any
Depends: ${misc:Depends}, 
 ${shlibs:Depends},
 postgresql-8.2 (= ${binary:Version}),
 perl
Provides: postgresql-plperl
Description: PL/Perl procedural language for PostgreSQL 8.2
 PL/Perl enables an SQL developer to write procedural language functions
 for PostgreSQL 8.2 in Perl.  You need this package if you have any
 PostgreSQL 8.2 functions that use the languages plperl or plperlu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-plpython-8.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-8.2 (= ${binary:Version})
Provides: postgresql-plpython
Description: PL/Python procedural language for PostgreSQL 8.2
 PL/Python enables an SQL developer to write procedural language functions
 for PostgreSQL 8.2 in Python.  You need this package if you have any
 PostgreSQL 8.2 functions that use the languages plpython or plpythonu.
 .
 PostgreSQL is an object-relational SQL database management system.

Package: postgresql-pltcl-8.2
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 postgresql-8.2 (= ${binary:Version})
Provides: postgresql-pltcl
Description: PL/Tcl procedural language for PostgreSQL 8.2
 PL/Tcl enables an SQL developer to write procedural language functions
 for PostgreSQL 8.2 in Tcl.  You need this package if you have any
 PostgreSQL 8.2 functions that use the languages pltcl or pltclu.
 .
 PostgreSQL is an object-relational SQL database management system.

=== debian/rules ===
#!/usr/bin/make -f
MAJOR_VER := 8.2

# this must also work for old releases with multiarch, so don't fail if the
# variable doesn't exist
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH || true)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie,-format
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
LDFLAGS+= -Wl,--as-needed -L/usr/lib/mit-krb5 -L/usr/lib/$(DEB_HOST_MULTIARCH)/mit-krb5
CFLAGS+= -fPIC -pie -I/usr/include/mit-krb5 -fno-aggressive-loop-optimizations
# cf. http://stackoverflow.com/a/34204352/3872653

# When protecting the postmaster with oom_adj=-17, allow the OOM killer to slay
# the backends (http://archives.postgresql.org/pgsql-hackers/2010-01/msg00170.php)
#ifeq ($(shell uname -s),Linux)
#CFLAGS+= -DLINUX_OOM_ADJ=0
#endif

ifneq ($(findstring $(DEB_BUILD_ARCH), sparc alpha),)
# sparc and alpha's gcc currently miscompiles; see
# http://lists.debian.org/debian-alpha/2007/11/msg00025.html
    CFLAGS+=-O1
endif

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

PYTHON_FLAGS = --with-python

# build should fail on test suite failures on all arches
TESTSUITE_FAIL_CMD=exit 1


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
  --mandir=/usr/share/postgresql/$(MAJOR_VER)/man \
  --with-docdir=/usr/share/doc/postgresql-doc-$(MAJOR_VER) \
  --sysconfdir=/etc/postgresql-common \
  --datadir=/usr/share/postgresql/$(MAJOR_VER) \
  --bindir=/usr/lib/postgresql/$(MAJOR_VER)/bin \
  --includedir=/usr/include/postgresql/ \
  --enable-nls \
  --enable-integer-datetimes \
  --enable-thread-safety \
  --enable-debug \
  --disable-rpath \
  --with-tcl \
  --with-perl \
  --with-pam \
  --with-krb5 \
  --with-gssapi \
  --without-openssl \
  --with-libxml \
  --with-libxslt \
  --with-ldap \
  --with-ossp-uuid \
  --with-gnu-ld \
  --with-system-tzdata=/usr/share/zoneinfo \
  --with-pgport=5432 \
  CFLAGS='$(CFLAGS)' \
  LDFLAGS='$(LDFLAGS)' \
  $(PYTHON_FLAGS)

override_dh_auto_build:
	$(MAKE)
	$(MAKE) -C contrib
	$(MAKE) -C doc

	# generate POT files for translators
	find -name nls.mk -exec sh -c "make -C \$$(dirname {}) init-po" \;

	# build tutorial stuff
	make -C src/tutorial NO_PGXS=1

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C contrib install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C doc install DESTDIR=$(CURDIR)/debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/postgresql/$(MAJOR_VER)

override_dh_auto_clean:
	[ ! -f GNUmakefile ] || dh_auto_clean	

override_dh_installchangelogs:
	dh_installchangelogs HISTORY

override_dh_compress:
	dh_compress -X.source -X.c

override_dh_install-arch:
	dh_install --fail-missing

	# compress manpages
	find debian/postgresql-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/man -type f -exec gzip -9 '{}' \;
	find debian/postgresql-client-$(MAJOR_VER)/usr/share/postgresql/$(MAJOR_VER)/man -type f -exec gzip -9 '{}' \;

override_dh_install-indep:
	dh_install --fail-missing

	install src/tutorial/*.c src/tutorial/*.source src/tutorial/Makefile src/tutorial/README debian/postgresql-doc-$(MAJOR_VER)/usr/share/doc/postgresql-doc-$(MAJOR_VER)/tutorial

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# patch away the "don't execute as root" check for the test
	# suite; doing it here will ensure that the actual debs have
	# the check.
	set -e; \
	patch --no-backup-if-mismatch -p1 < debian/disable-root-check.patch; \
	patch --no-backup-if-mismatch -p1 < debian/pg_regress-in-tmp.patch; \
	make -C src/test/regress check bigcheck || fail=1; \
	patch --no-backup-if-mismatch -Rp1 < debian/pg_regress-in-tmp.patch; \
	patch --no-backup-if-mismatch -Rp1 < debian/disable-root-check.patch; \
	if [ -n "$$fail" ]; then \
	    for l in regression.diffs log/initdb.log log/postmaster.log; do \
	    	if [ -e src/test/regress/$$l ]; then \
		    echo "********* $$l *******"; \
		    cat src/test/regress/$$l; \
		fi; \
	    done; \
	    $(TESTSUITE_FAIL_CMD); \
	fi
endif

override_dh_strip:
	dh_strip --dbg-package=postgresql-$(MAJOR_VER)-dbg

# run tests in contrib in temporary test installations, using programs
# from local tree
contrib-check:
	set -e; cd contrib; \
	for d in *; do \
	    [ -d $$d/sql ] || continue; \
	    echo "==============  Running tests in $$d"; \
	    (cd $$d; \
	    if ! ../../src/test/regress/pg_regress --top-builddir=../.. --temp-install=tmp_check --dbname=contrib_regression `cd sql; ls *.sql | sed 's/.sql$$//'`; then \
		 cat regression.diffs; \
	    fi); \
	done

# run tests in contrib in temporary test installation, using programs
# from system installation
contrib-installcheck:
	# set up temporary db
	rm -rf tmp_data
	mkdir tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/initdb -D tmp_data
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data -l tmp_data/postgres.log -o '-k /tmp' start
	# wait until it started up
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	sleep 1
	while !/usr/lib/postgresql/$(MAJOR_VER)/bin/psql -h /tmp -l >/dev/null 2>&1; do sleep 1; done
	# run the tests
	-cd contrib; make installcheck
	/usr/lib/postgresql/$(MAJOR_VER)/bin/pg_ctl -D tmp_data stop
	# find and print the regression diffs
	find contrib/ -name regression.diffs -exec cat '{}' \;

# dh_dwz is broken in buster for manual debug packages (#939164)
override_dh_dwz:

## postgresql-8.2 8.2.23~20220624.1332-9~1.git7f43f39.pgdg18.04+1

=== src/timezone/Makefile ===
#-------------------------------------------------------------------------
#
# Makefile
#    Makefile for the timezone library

# IDENTIFICATION
#    $PostgreSQL: pgsql/src/timezone/Makefile,v 1.24.2.1 2007/03/14 17:38:15 tgl Exp $
#
#-------------------------------------------------------------------------

subdir = src/timezone
top_builddir = ../..
include $(top_builddir)/src/Makefile.global

override CPPFLAGS := $(CPPFLAGS)

# files to build into backend
OBJS= localtime.o strftime.o pgtz.o

# files needed to build zic utility program
ZICOBJS= zic.o ialloc.o scheck.o localtime.o

# timezone data files
TZDATA := africa antarctica asia australasia europe northamerica southamerica \
	pacificnew etcetera factory backward systemv solar87 solar88 solar89
TZDATAFILES := $(TZDATA:%=$(srcdir)/data/%)

# which zone should determine the DST rules (not the specific UTC offset!)
# for POSIX-style timezone specs
POSIXRULES = US/Eastern

all: SUBSYS.o submake-libpgport zic

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

zic: $(ZICOBJS)
	$(CC) $(CFLAGS) $(ZICOBJS) $(LDFLAGS) $(LIBS) -o $@$(X)

install: all installdirs
	ln -s /usr/share/zoneinfo '$(DESTDIR)$(datadir)/timezone'
	$(MAKE) -C tznames $@

installdirs:
	$(mkinstalldirs) '$(DESTDIR)$(datadir)'

uninstall:
	rm -rf '$(DESTDIR)$(datadir)/timezone'
	$(MAKE) -C tznames $@

clean distclean maintainer-clean:
	rm -f SUBSYS.o zic$(X) $(OBJS) $(ZICOBJS)

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1332-9~1.git7f43f39.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Re-enable plpython2 packages.
    + Re-enable OpenSSL support.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100

## postgresql-8.2 8.2.23~20220624.1332-9~1.git7f43f39.pgdg110+1

=== debian/changelog ===
postgresql-8.2 (8.2.23~20220624.1332-9~1.git7f43f39.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 8.2.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 22 Dec 2021 17:31:33 +0100
